org.apache.hadoop.ha.proto

## Class ZKFCProtocolProtos.ZKFCProtocolService.Stub

- java.lang.Object
- - org.apache.hadoop.ha.proto.ZKFCProtocolProtos.ZKFCProtocolService
  - - org.apache.hadoop.ha.proto.ZKFCProtocolProtos.ZKFCProtocolService.Stub

- All Implemented Interfaces:
    com.google.protobuf.Service, ZKFCProtocolProtos.ZKFCProtocolService.Interface
  Enclosing class:
    ZKFCProtocolProtos.ZKFCProtocolService

      public static final class ZKFCProtocolProtos.ZKFCProtocolService.Stub
      extends ZKFCProtocolProtos.ZKFCProtocolService
      implements ZKFCProtocolProtos.ZKFCProtocolService.Interface

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.ha.proto.ZKFCProtocolProtos.ZKFCProtocolService

      `ZKFCProtocolProtos.ZKFCProtocolService.BlockingInterface, ZKFCProtocolProtos.ZKFCProtocolService.Interface, ZKFCProtocolProtos.ZKFCProtocolService.Stub`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cedeActive(com.google.protobuf.RpcController controller, ZKFCProtocolProtos.CedeActiveRequestProto request, com.google.protobuf.RpcCallback<ZKFCProtocolProtos.CedeActiveResponseProto> done)` `rpc cedeActive(.hadoop.common.CedeActiveRequestProto) returns (.hadoop.common.CedeActiveResponseProto);`
    `com.google.protobuf.RpcChannel` | `getChannel()`
    `void` | `gracefulFailover(com.google.protobuf.RpcController controller, ZKFCProtocolProtos.GracefulFailoverRequestProto request, com.google.protobuf.RpcCallback<ZKFCProtocolProtos.GracefulFailoverResponseProto> done)` `rpc gracefulFailover(.hadoop.common.GracefulFailoverRequestProto) returns (.hadoop.common.GracefulFailoverResponseProto);`

    - ### Methods inherited from class org.apache.hadoop.ha.proto.ZKFCProtocolProtos.ZKFCProtocolService

      `callMethod, getDescriptor, getDescriptorForType, getRequestPrototype, getResponsePrototype, newBlockingStub, newReflectiveBlockingService, newReflectiveService, newStub`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChannel

          public com.google.protobuf.RpcChannel getChannel()

    - #### cedeActive

          public void cedeActive(com.google.protobuf.RpcController controller,
                                 ZKFCProtocolProtos.CedeActiveRequestProto request,
                                 com.google.protobuf.RpcCallback<ZKFCProtocolProtos.CedeActiveResponseProto> done)

      Description copied from class: `ZKFCProtocolProtos.ZKFCProtocolService`
      `rpc cedeActive(.hadoop.common.CedeActiveRequestProto) returns (.hadoop.common.CedeActiveResponseProto);`

           Request that the service cede its active state, and quit the election
           for some amount of time

      Specified by:
        `cedeActive` in interface `ZKFCProtocolProtos.ZKFCProtocolService.Interface`
      Specified by:
        `cedeActive` in class `ZKFCProtocolProtos.ZKFCProtocolService`

    - #### gracefulFailover

          public void gracefulFailover(com.google.protobuf.RpcController controller,
                                       ZKFCProtocolProtos.GracefulFailoverRequestProto request,
                                       com.google.protobuf.RpcCallback<ZKFCProtocolProtos.GracefulFailoverResponseProto> done)

      Description copied from class: `ZKFCProtocolProtos.ZKFCProtocolService`
      `rpc gracefulFailover(.hadoop.common.GracefulFailoverRequestProto) returns (.hadoop.common.GracefulFailoverResponseProto);`
      Specified by:
        `gracefulFailover` in interface `ZKFCProtocolProtos.ZKFCProtocolService.Interface`
      Specified by:
        `gracefulFailover` in class `ZKFCProtocolProtos.ZKFCProtocolService`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.